Package com.documentum.fc.client.search.filter

# Enum Class DfFilterException.FilterExceptionType

java.lang.Object
java.lang.Enum<DfFilterException.FilterExceptionType>
com.documentum.fc.client.search.filter.DfFilterException.FilterExceptionType

All Implemented Interfaces:
  `Serializable`, `Comparable<DfFilterException.FilterExceptionType>`, `Constable`

Enclosing class:
  DfFilterException

public static enum DfFilterException.FilterExceptionType extends Enum<DfFilterException.FilterExceptionType>
Type of error

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FACET_DEFINITION_ERROR`
  `LOGINFAILED`
  `NOTCONSTRAINED`
  `QUERY_SYNTAX_NOT_VALID`
  `TYPE_NOT_SUPPORTED`
  `UNSUPPORTED_ATTRIBUTE_ERROR`
  `WILDCARD_SYNTAX_ERROR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getEventErrorCode()`
  `static DfFilterException.FilterExceptionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DfFilterException.FilterExceptionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOTCONSTRAINED

    public static final DfFilterException.FilterExceptionType NOTCONSTRAINED
    See Also:
      - `IDfQueryEvent.NOTCONSTRAINED`

  - ### LOGINFAILED

    public static final DfFilterException.FilterExceptionType LOGINFAILED
    See Also:
      - `IDfQueryEvent.LOGINFAILED`

  - ### TYPE_NOT_SUPPORTED

    public static final DfFilterException.FilterExceptionType TYPE_NOT_SUPPORTED
    See Also:
      - `IDfQueryEvent.TYPE_NOT_SUPPORTED`

  - ### QUERY_SYNTAX_NOT_VALID

    public static final DfFilterException.FilterExceptionType QUERY_SYNTAX_NOT_VALID
    See Also:
      - `IDfQueryEvent.QUERY_SYNTAX_NOT_VALID`

  - ### WILDCARD_SYNTAX_ERROR

    public static final DfFilterException.FilterExceptionType WILDCARD_SYNTAX_ERROR
    See Also:
      - `IDfQueryEvent.WILDCARD_SYNTAX_ERROR`

  - ### UNSUPPORTED_ATTRIBUTE_ERROR

    public static final DfFilterException.FilterExceptionType UNSUPPORTED_ATTRIBUTE_ERROR
    See Also:
      - `IDfQueryEvent.UNSUPPORTED_ATTRIBUTE_ERROR`

  - ### FACET_DEFINITION_ERROR

    public static final DfFilterException.FilterExceptionType FACET_DEFINITION_ERROR
    See Also:
      - `IDfQueryEvent.FACET_DEFINITION_ERROR`

- ## Method Details

  - ### values

    public static DfFilterException.FilterExceptionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DfFilterException.FilterExceptionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getEventErrorCode

    public int getEventErrorCode()